using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class FaultRecord
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
		/// <summary>
		/// 维修状态：0未维修，1已维修
		/// </summary>
		public virtual int Status
		{
			get;
			set;
		}
		/// <summary>
		/// 注销:1已注销
		/// </summary>
		public virtual bool IsCancel
		{
			get;
			set;
		}
		/// <summary>
		/// 故障编号
		/// </summary>
		public virtual string Number
		{
			get;
			set;
		}
		/// <summary>
		/// 房号
		/// </summary>
		public virtual string RoomNumber
		{
			get;
			set;
		}
		/// <summary>
		/// 故障类别
		/// </summary>
		public virtual FaultType FaultType
		{
			get;
			set;
		}
		/// <summary>
		/// 故障发生时间
		/// </summary>
		public virtual DateTime? FaultTime
		{
			get;
			set;
		}
		/// <summary>
		/// 故障描述
		/// </summary>
		public virtual string Description
		{
			get;
			set;
		}
		/// <summary>
		/// 登记人
		/// </summary>
		public virtual string RegisteredPerson
		{
			get;
			set;
		}
		/// <summary>
		/// 登记时间
		/// </summary>
		public virtual DateTime? RegisteredTime
		{
			get;
			set;
		}
		/// <summary>
		/// 维修人
		/// </summary>
		public virtual string RepairPerson
		{
			get;
			set;
		}
		/// <summary>
		/// 维修时间
		/// </summary>
		public virtual DateTime? RepairTime
		{
			get;
			set;
		}
		/// <summary>
		/// 维修内容
		/// </summary>
		public virtual string RepairContent
		{
			get;
			set;
		}
		/// <summary>
		/// 注销人
		/// </summary>
		public virtual string CancelPerson
		{
			get;
			set;
		}
		/// <summary>
		/// 注销时间
		/// </summary>
		public virtual DateTime? CancelTime
		{
			get;
			set;
		}
		/// <summary>
		/// 注销原因
		/// </summary>
		public virtual string CancelReason
		{
			get;
			set;
		}
	}
}
